Wikimediaro-l appears to lack list owners, and spam sent to the list owners was forwarded to a non-list owner
Closed, ResolvedPublic

Description

I received a junk email that was directed to wikimediaro-l-owner@lists.wikimedia.org. To the best of my knowledge, I'm not a list owner or list memember for Wikimediaro-l. Checking https://lists.wikimedia.org/mailman/listinfo/wikimediaro-l suggests that there are no list owners.

There appear to be at least two mysteries. Why are there apparently no list owners, and why would email sent to wikimediaro-l-owner@lists.wikimedia.org be sent to me?

Pine created this task.Sep 25 2016, 12:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2016, 12:32 AM
tomasz added a subscriber: tomasz.

Boldly adding James Alexander and Daniel Zahn as they both have access to the Mailman interface and can resolve this.

tomasz added a subscriber: Dzahn.Oct 19 2016, 9:28 AM
Dzahn added a comment.Nov 9 2016, 9:58 PM

I don't see a list owner, correct. The former owners could have removed themselves. Would you know who should be added as new list owner?

Dzahn added a comment.Nov 9 2016, 10:03 PM

There is nothing set for admin or moderator, i don't know why that is or why you received the emal. But if you have a suggestion who should be owner or how to find one, let me know and i can set it. Or we could close the list. Maybe could somebody mail the list itself to find a new admin?

bump, any list admin we can add here? or is the list inactive and should be closed?

Pine added a comment.Mar 18 2017, 3:09 AM

My instinct at this time would be to close the list, as it appears to have been abandoned. The last post was from 2014. The list can be re-activated if there is interest.

Dzahn claimed this task.Mar 20 2017, 3:48 AM
Dzahn added a comment.Mar 20 2017, 7:44 PM

@Pine thank you, ok. I disabled the list and it can be re-enabled.

per https://wikitech.wikimedia.org/wiki/Mailman#Disable_or_re-enable_a_mailing_list

[fermium:~] $ sudo /usr/local/sbin/disable_list wikimediaro-l
wikimediaro-l disabled. Archives should be available at current location, all mail should be moderated and the list should not be on the listinfo page.

Mentioned in SAL (#wikimedia-operations) [2017-03-20T19:45:34Z] <mutante> lists: disabled wikimediaro-l due to inactivity (disabling lists is easy nowadays and also revertable): fermium: sudo /usr/local/sbin/disable_list <list name> | (T146563)

Dzahn closed this task as "Resolved".Mar 20 2017, 7:46 PM

for the curious, this is what "disable_list" actually means in more detail:

 9 function disable_list {
10     echo "advertised=0" | config_list -i /dev/stdin $list
11     echo "emergency=1"  | config_list -i /dev/stdin $list
12     echo "member_moderation_action=2" | config_list -i /dev/stdin $list
13     echo "generic_nonmember_action=2" | config_list -i /dev/stdin $list
14     echo "ban_list=['^.*@.*']" | config_list -i /dev/stdin $list
15     if find /var/lib/mailman/data/ | grep heldmsg-$list; then
16         rm /var/lib/mailman/data/heldmsg-$list-*.pck
17     fi
18 }